This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 223574 - ioctl on swapfile denied to initscript by SELinux
ioctl on swapfile denied to initscript by SELinux
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-19 21:15 EST by k3dzngrp8w2xtc9
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.4.6-29
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-25 12:41:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description k3dzngrp8w2xtc9 2007-01-19 21:15:45 EST
Description of problem:
avc:  denied  { ioctl } for  pid=1198 comm="swapon" name="swap" dev=dm-0
ino=98312 scontext=system_u:system_r:fsadm_t:s0
tcontext=user_u:object_r:swapfile_t:s0 tclass=file

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.4.6-23.fc6

Additional info:
p.s. The swapfile works anyway.
Comment 1 Daniel Walsh 2007-01-22 10:40:17 EST
Fixed in  selinux-policy-targeted-2.4.6-29
Comment 2 k3dzngrp8w2xtc9 2007-01-25 12:41:51 EST
Thanks. I confirm this is fixed

CLOSED

Note You need to log in before you can comment on or make changes to this bug.